Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.connector
Class HttpResponseFacade

    java.lang.Object
      |
      +--org.apache.catalina.connector.ResponseFacade
            |
            +--org.apache.catalina.connector.HttpResponseFacade

public final class HttpResponseFacade
extends ResponseFacade
implements javax.servlet.http.HttpServletResponse

Facade class that wraps a Catalina-internal HttpResponse object. All methods are delegated to the wrapped response.

Version:
  $Revision: 1.2.2.1 $ $Date: 2001/10/04 19:26:57 $
Author:
  Remy Maucherat, Craig R. McClanahan

Fields inherited from class org.apache.catalina.connector.ResponseFacade
`resp, response`

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`HttpResponseFacade(HttpResponse response)` Construct a wrapper for the specified response.

Method Summary
`void` | `addCookie(javax.servlet.http.Cookie cookie)`
`void` | `addDateHeader(java.lang.String name, long date)`
`void` | `addHeader(java.lang.String name, java.lang.String value)`
`void` | `addIntHeader(java.lang.String name, int value)`
`boolean` | `containsHeader(java.lang.String name)`
`java.lang.String` | `encodeRedirectUrl(java.lang.String url)`
`java.lang.String` | `encodeRedirectURL(java.lang.String url)`
`java.lang.String` | `encodeUrl(java.lang.String url)`
`java.lang.String` | `encodeURL(java.lang.String url)`
`void` | `sendError(int sc)`
`void` | `sendError(int sc, java.lang.String msg)`
`void` | `sendRedirect(java.lang.String location)`
`void` | `setDateHeader(java.lang.String name, long date)`
`void` | `setHeader(java.lang.String name, java.lang.String value)`
`void` | `setIntHeader(java.lang.String name, int value)`
`void` | `setStatus(int sc)`
`void` | `setStatus(int sc, java.lang.String sm)`

Methods inherited from class org.apache.catalina.connector.ResponseFacade
`finish, flushBuffer, getBufferSize, getCharacterEncoding, getLocale, getOutputStream, getWriter, isCommitted, isFinished, reset, resetBuffer, setBufferSize, setContentLength, setContentType, setLocale`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpResponseFacade

    public HttpResponseFacade(HttpResponse response)

  Construct a wrapper for the specified response.
  Parameters:
    `response` - The response to be wrapped

Method Detail

### addCookie

    public void addCookie(javax.servlet.http.Cookie cookie)

  Specified by:
    addCookie in interface javax.servlet.http.HttpServletResponse

### containsHeader

    public boolean containsHeader(java.lang.String name)

  Specified by:
    containsHeader in interface javax.servlet.http.HttpServletResponse

### encodeURL

    public java.lang.String encodeURL(java.lang.String url)

  Specified by:
    encodeURL in interface javax.servlet.http.HttpServletResponse

### encodeRedirectURL

    public java.lang.String encodeRedirectURL(java.lang.String url)

  Specified by:
    encodeRedirectURL in interface javax.servlet.http.HttpServletResponse

### encodeUrl

    public java.lang.String encodeUrl(java.lang.String url)

  Specified by:
    encodeUrl in interface javax.servlet.http.HttpServletResponse

### encodeRedirectUrl

    public java.lang.String encodeRedirectUrl(java.lang.String url)

  Specified by:
    encodeRedirectUrl in interface javax.servlet.http.HttpServletResponse

### sendError

    public void sendError(int sc,
                          java.lang.String msg)
                   throws java.io.IOException

  Specified by:
    sendError in interface javax.servlet.http.HttpServletResponse

### sendError

    public void sendError(int sc)
                   throws java.io.IOException

  Specified by:
    sendError in interface javax.servlet.http.HttpServletResponse

### sendRedirect

    public void sendRedirect(java.lang.String location)
                      throws java.io.IOException

  Specified by:
    sendRedirect in interface javax.servlet.http.HttpServletResponse

### setDateHeader

    public void setDateHeader(java.lang.String name,
                              long date)

  Specified by:
    setDateHeader in interface javax.servlet.http.HttpServletResponse

### addDateHeader

    public void addDateHeader(java.lang.String name,
                              long date)

  Specified by:
    addDateHeader in interface javax.servlet.http.HttpServletResponse

### setHeader

    public void setHeader(java.lang.String name,
                          java.lang.String value)

  Specified by:
    setHeader in interface javax.servlet.http.HttpServletResponse

### addHeader

    public void addHeader(java.lang.String name,
                          java.lang.String value)

  Specified by:
    addHeader in interface javax.servlet.http.HttpServletResponse

### setIntHeader

    public void setIntHeader(java.lang.String name,
                             int value)

  Specified by:
    setIntHeader in interface javax.servlet.http.HttpServletResponse

### addIntHeader

    public void addIntHeader(java.lang.String name,
                             int value)

  Specified by:
    addIntHeader in interface javax.servlet.http.HttpServletResponse

### setStatus

    public void setStatus(int sc)

  Specified by:
    setStatus in interface javax.servlet.http.HttpServletResponse

### setStatus

    public void setStatus(int sc,
                          java.lang.String sm)

  Specified by:
    setStatus in interface javax.servlet.http.HttpServletResponse

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.